> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Add phone number to allow or block list

> Add a phone number to the allow or block list.

This operation is idempotent - re-adding the same phone number will not result in duplicate entries or errors. If the phone number already exists in the specified list, the operation will succeed without making any changes.

In order to get access to this endpoint, contact our support team.


Add a phone number to your account's allow list or block list. Set the `{action}` path parameter to `allow` to exempt the number from anti-fraud checks, or to `block` to reject verifications to that number.

<Info>
  Access to the management API is opt-in. [Contact our support team](mailto:support@prelude.so) to enable it on your account. For background on when to use each list, see [Prevent Fraud](/verify/v2/documentation/prevent-fraud#allow-and-block-lists).
</Info>


## OpenAPI

````yaml post /v2/verification/management/phone-numbers/{action}
openapi: 3.1.0
info:
  title: Prelude API
  version: 2.0.0
  description: The Prelude API allows you to send messages to your users.
  contact:
    email: support@prelude.so
servers:
  - url: https://api.prelude.dev
    description: Production server
security:
  - apiToken: []
tags:
  - name: Notify
    description: Send transactional and marketing messages with compliance enforcement.
  - name: Transactional
    description: Send transactional messages (deprecated - use Notify API instead).
  - name: Verify
    description: Verify phone numbers.
  - name: Watch
    description: Evaluate email addresses and phone numbers for trustworthiness.
  - name: Lookup
    description: >-
      Retrieve detailed information about a phone number including carrier data,
      line type, and portability status.
paths:
  /v2/verification/management/phone-numbers/{action}:
    post:
      tags:
        - Verify
      summary: Add phone number to allow or block list
      description: >
        Add a phone number to the allow or block list.


        This operation is idempotent - re-adding the same phone number will not
        result in duplicate entries or errors. If the phone number already
        exists in the specified list, the operation will succeed without making
        any changes.


        In order to get access to this endpoint, contact our support team.
      operationId: addPhoneNumberToAllowOrBlock
      parameters:
        - name: action
          in: path
          required: true
          schema:
            type: string
            enum:
              - allow
              - block
          description: The action type - either "allow" or "block"
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddPhoneNumberToAllowOrBlockRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddPhoneNumberToAllowOrBlockResponse'
        '400':
          description: KO
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AddPhoneNumberToAllowOrBlockRequest:
      type: object
      required:
        - phone_number
      properties:
        phone_number:
          type: string
          format: phone_number
          description: An E.164 formatted phone number to add to the list.
          examples:
            - '+30123456789'
    AddPhoneNumberToAllowOrBlockResponse:
      type: object
      required:
        - phone_number
      properties:
        phone_number:
          type: string
          format: phone_number
          description: The E.164 formatted phone number that was added to the list.
          examples:
            - '+30123456789'
    Error:
      type: object
      properties:
        code:
          type: string
          description: The error code.
          examples:
            - invalid_phone_number
        message:
          type: string
          examples:
            - >-
              The provided phone number is invalid. Provide a valid E.164 phone
              number.
          description: A human-readable message describing the error.
        type:
          type: string
          examples:
            - bad_request
          description: The error type.
        request_id:
          type: string
          examples:
            - 3d19215e-2991-4a05-a41a-527314e6ff6a
          description: >-
            A string that identifies this specific request. Report it back to us
            to help us diagnose your issues.
      required:
        - code
        - message
        - type
  securitySchemes:
    apiToken:
      type: http
      scheme: bearer

````